<?php
	# Mantis - a php based bugtracking system
	# Copyright (C) 2000 - 2002  Kenzaburo Ito - kenito@300baud.org
	# Copyright (C) 2002 - 2004  Mantis Team   - mantisbt-dev@lists.sourceforge.net
	# This program is distributed under the terms and conditions of the GPL
	# See the README and LICENSE files for details

	# --------------------------------------------------------
	# $Id: login_page.php,v 1.42 2004/08/14 15:26:20 thraxisp Exp $
	# --------------------------------------------------------

	# Login page POSTs results to login.php
	# Check to see if the user is already logged in

	require_once( 'core.php' );

	$f_error		= gpc_get_bool( 'error' );
	$f_cookie_error	= gpc_get_bool( 'cookie_error' );
	$f_return		= gpc_get_string( 'return', '' );

	# Check for HTTP_AUTH. HTTP_AUTH is handled in login.php

	if ( HTTP_AUTH == config_get( 'login_method' ) ) {
		$t_uri = "login.php";

		if ( !$f_return && ON == config_get( 'allow_anonymous_login' ) ) {
			$t_uri = "login_anon.php";
		}

		if ( $f_return ) {
			$t_uri .= "?return=" . urlencode( $f_return );
		}

		print_header_redirect( $t_uri );
		exit;
	}


	##########################################################################
	#
	# Example of template. 
	# Uses template.php from http://www.sitepoint.com/article/beyond-template-engine
	#
	# In this example, we do not use inner templates for page_top and page_bottom
	# So, lacks top_banner and bottom_banner
	# It's just a test.
	#
	# (MBT) --> original comments or code

	# First, include the template class.	
	require_once('template.php');

	# Here is the path to the templates.
	$templates_dir = './templates/';

	# Define the template file and css file we will be using for this page.
	# In the final version, substitute 'default' with config_get('g_template')
	$template_file = 'default/login_page_tpl.php';
	$template_css_file = $templates_dir . 'default/css/default.css';

	# Create a template object
	$tpl_login = & new Template($templates_dir);

	# (MBT) html_page_top1();
	$tpl_login->set('tp_css_file', $template_css_file);
	$tpl_login->set('tp_charset', lang_get( 'charset' ));
	$tpl_login->set('tp_content_expire', config_get('content_expire'));
	if ( ON == config_get( 'use_javascript' ) ) {
		$tpl_login->set('tp_javascript', '<script type="text/JavaScript" src="javascript/common.js"></script>' . "\n" );
	} else {
		$tpl_login->set('tp_javascript', '' );
	}

	# (MBT) html_page_top2a();
	$tpl_login->set('tp_title', string_display(config_get( 'window_title' )));
	$tpl_login->set('tp_page_title', string_display(config_get( 'page_title' )));

	# (MBT) Display short greeting message
	$tpl_login->set('tp_page_info', lang_get( 'login_page_info' ));

	# (MBT) Only echo error message if error variable is set
	if ( $f_error ) {
		$tpl_login->set('tp_login_error', lang_get( 'login_error' ));
	}
	if ( $f_cookie_error ) {
		$tpl_login->set('tp_login_cookies_disabled', lang_get( 'login_cookies_disabled' ));
	}

	# (MBT) <!-- Login Form BEGIN -->
	if ( !is_blank( $f_return ) ) {
		$tpl_login->set('tp_return', htmlspecialchars( $f_return ) );
	} else {
		$tpl_login->set('tp_return', NULL);
	}
	if ( ON == config_get( 'allow_anonymous_login' ) ) {
		$tpl_login->set('tp_login_anon', lang_get( 'login_anonymously' ) );
	} else {
		$tpl_login->set('tp_login_anon', NULL);
	}

	$tpl_login->set('tp_login_title', lang_get( 'login_title' ) );
	$tpl_login->set('tp_username', lang_get( 'username' ) );
	$tpl_login->set('tp_password', lang_get( 'password' ) );
	$tpl_login->set('tp_save_login', lang_get( 'save_login' ) );
	$tpl_login->set('tp_login_button', lang_get( 'login_button' ) );

	# (MBT) print_signup_link();
	if( ON == config_get( 'allow_signup' ) ) {
		$tpl_login->set('tp_signup_link', lang_get( 'signup_link' ) );
	} else {
		$tpl_login->set('tp_signup_link', NULL);
	}

	# (MBT) print_lost_password_link();
	if( ( ON == config_get( 'lost_password_feature' ) ) &&
		( ON == config_get( 'send_reset_password' ) ) ) {
		$tpl_login->set('tp_lost_password_link', lang_get( 'lost_password_link' ));
	} else {
		$tpl_login->set('tp_lost_password_link', NULL);
	}


	# Lacks in this example
	# (MBT) Do some checks to warn administrators of possible security holes.
	# (MBT) Since this is considered part of the admin-checks, the strings are not translated.
	#
	# if ( config_get( 'login_method' ) === PLAIN ) {
	# ...


	# Echo the results
	echo $tpl_login->fetch($template_file);  

	# to replace by inner template
	html_page_bottom1a( __FILE__ );

?>
